/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package unitn.rovereto.folgarait.pierre.alloggi;

import javafx.geometry.Pos;
import javafx.scene.control.Label;
import javafx.scene.input.MouseEvent;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;

/**
 *
 * @author pierre.folgarait
 */
public class Appartamento extends Alloggio {

    int numeroLetti;
    Label letti;

    /**
     * Costruttore per la classe appartamento
     * @param nome Nome dell'appartamento
     * @param prezzo Prezzo dell'appartamento
     * @param valutazione Valutazione dell'appartamento
     * @param numeroLetti Numero posti letto dell'alloggio
     * @param main Finestra Iniziale
     */
    public Appartamento(String nome, int prezzo, double valutazione, int numeroLetti, mainWindow main) {
        super(nome, prezzo, valutazione, main);
        if(numeroLetti >=2 && numeroLetti<=8)
            this.numeroLetti = numeroLetti;
        else
            this.numeroLetti = 0;
        letti = new Label("max. Persone: " + this.numeroLetti);
        letti.setFont(Font.font("Arial", FontWeight.LIGHT, 15));
        letti.setAlignment(Pos.CENTER);

        getChildren().add(letti);
    }



}
